#include <IRremote.h>

#define RX      12

IRrecv irrecv(RX);         // Definisco e istanzio la seriale dell'infrarosso
decode_results results; // define the variable "results" to store the received button code




int red_light_pin = 11;
int green_light_pin = 10;
int blue_light_pin = 9;


void setup() {
  Serial.begin(9600);
  Serial.println("Starting IR-receiver...");
  irrecv.enableIRIn();                           // start the IR-receiver
  Serial.println("IR-receiver active");
  pinMode(red_light_pin, OUTPUT);
  pinMode(green_light_pin, OUTPUT);
  pinMode(blue_light_pin, OUTPUT);

RGB_color(255, 0, 0);      //rosso
delay(500);

RGB_color(0, 255, 0);    //verde
delay(500);

RGB_color(0, 0, 255);       //blu
delay(500);

RGB_color(244, 70, 17);    //arancio puro 602.72nm 
delay(500);

RGB_color(247, 94, 37);    //rosso arancio chiaro 598.71 nm
delay(500);

RGB_color(255, 69, 0);    //orangered HTML 602.98 nm
delay(500);

RGB_color(255, 35, 5);    //arancio brillante 608.6 nm
delay(500);

RGB_color(255, 12, 0);    //rosso saturo 610.68nm
delay(500);

RGB_color(255, 117, 0);    //arancio più saturo 593.1 nm
delay(500);

RGB_color(230, 88, 25);    //arancio 597.87 nm
delay(500);

RGB_color(255, 54, 0);    //rosso-arancio 605.64 nm
delay(500);

}


void loop()
{
RGB_color(255, 0, 0);      //rosso
delay(500);

RGB_color(0, 255, 0);    //verde
delay(500);

RGB_color(0, 0, 255);       //blu
delay(500);

RGB_color(244, 70, 17);    //arancio puro 602.72nm 
delay(500);

RGB_color(247, 94, 37);    //rosso arancio chiaro 598.71 nm
delay(500);

RGB_color(255, 69, 0);    //orangered HTML 602.98 nm
delay(500);

RGB_color(255, 35, 5);    //arancio brillante 608.6 nm
delay(500);

RGB_color(255, 12, 0);    //rosso saturo 610.68nm
delay(500);

RGB_color(255, 117, 0);    //arancio più saturo 593.1 nm
delay(500);

RGB_color(230, 88, 25);    //arancio 597.87 nm
delay(500);

RGB_color(255, 54, 0);    //rosso-arancio 605.64 nm
delay(500);
 /* if (irrecv.decode(&results))
  {
    Serial.println(results.value, HEX); // Print the received value as a hexadecimal value
    irrecv.resume();    // Resume the IR-receiver to listen for new signals
    switch (results.value) // Determine which button has been pressed
    {

      case 0xFF6897:      RGB_color(255, 128, 128); // ORANGE
        break;

      case 0xFF9867:      RGB_color(255, 0, 0); // Red
        break;

      case 0xFDB04F:       RGB_color(255, 255, 0); // Yellow
        break;
      default: ;
        /*
          RGB_color(255, 0, 0); // Red
          delay(1000);
          RGB_color(0, 255, 0); // Green
          delay(1000);
          RGB_color(0, 0, 255); // Blue
          delay(1000);
          RGB_color(255, 255, 125); // Raspberry
          delay(1000);
          RGB_color(0, 255, 255); // Cyan
          delay(1000);
          RGB_color(255, 0, 255); // Magenta
          delay(1000);
          RGB_color(255, 255, 0); // Yellow
          delay(1000);
          RGB_color(255, 255, 255); // White
          delay(1000);
        
    }
  }
  delay(100);      // pause 100ms

*/

}


void RGB_color(int red_light_value, int green_light_value, int blue_light_value)
{
  analogWrite(red_light_pin, red_light_value);
  analogWrite(green_light_pin, green_light_value);
  analogWrite(blue_light_pin, blue_light_value);
}

